Linux Mint Debian 201403 RC released!

Written by Clem on Saturday, February 22nd, 2014 @ 10:10 am | Main Topics

The team is proud to announce the release of LMDE 201403 RC.

Screenshots

LMDE 201403 Cinnamon Edition


LMDE 201403 MATE Edition

Highlights

  • Update Pack 8
  • Cinnamon 2.0
  • MATE 1.6
  • Latest Mint tools and improvements
  • Support for EFI and GPT

If you’re new to LMDE, welcome to Linux Mint Debian!

Important links

LMDE in brief

  • Linux Mint Debian Edition (LMDE) is a semi-rolling distribution based on Debian Testing.
  • It’s available in both 32 and 64-bit as a live DVD with Cinnamon or MATE.
  • The purpose of LMDE is to look identical to the main edition and to provide the same functionality while using Debian as a base.

FAQ

1. Is LMDE compatible with Ubuntu-based Linux Mint editions?

No, it is not. LMDE is compatible with Debian, which isn’t compatible with Ubuntu.

2. Is LMDE fully compatible with Debian?

Yes, 100%. LMDE is compatible with repositories designed for Debian Testing.

3. What is a semi-rolling distribution?

Updates are constantly fed to Debian Testing, where users experience frequent regressions but also frequent bug fixes and improvements. LMDE receives “Update Packs” which are tested snapshots of Debian Testing. Users can experience a more stable system thanks to update packs, or switch their sources to follow Testing, or even Unstable, directly to get more frequent updates.

4. How does LMDE compare to the Ubuntu-based editions?

Pros:

  • You don’t need to ever re-install the system. New versions of software and updates are continuously brought to you.
  • It’s faster and more responsive than Ubuntu-based editions.

Cons:

  • LMDE requires a deeper knowledge and experience with Linux, dpkg and APT.
  • Debian is a less user-friendly/desktop-ready base than Ubuntu. Expect some rough edges.

Additional notes:

  • About bugs: Please use this blog to report bugs.
  • Dedicated chat room: #linuxmint-debian is open to LMDE users on irc.spotchat.org.

Download links:

Torrents:

MD5 sums:

  • Cinnamon 32-bit: b5d2e82911c68865eff94e5a1b7fd7f2
  • Cinnamon 64-bit: 642110dbc8f111940f68cab739c07792
  • MATE 32-bit: 1641734a5ecc9a1ed81a53fe80ab4743
  • MATE 64-bit: 50a536ef81be0c2027d2ae64c4d2583c

Cinnamon 32-bit:

Cinnamon 64-bit:

MATE 32-bit:

MATE 64-bit:

Enjoy!

We look forward to receiving your feedback. Thank you for using Linux Mint and have a lot of fun testing the release candidate!

154 Responses to “Linux Mint Debian 201403 RC released!”

  1. Jenia Says:

    Cinnamon 32bit working just fine so far!

    Interesting new way to manage repository sources. I went ahead and tried to modify the sources list manually as I usually do to add all sorts of stuff I use, but then the update manager wiped it when I started messing with it!

    I had some bugs with LMDE when I upgraded from UP7 to UP8. Installing the RC fixed them.

    Thanks a lot!

  2. Anand Says:

    Congrats Clem and team. Am a regular edition user (Cinnamon).

    “Cons – LMDE requires a deeper knowledge and experience with Linux, dpkg and APT.”

    It acts as a bit of deterrent and am apprehensive in trying it out though I want a rolling edition.

    Am sure the caveat is there for a purpose – But would you mind explaining in practical terms – what would mean to an user who is not wary of terminal (as long as copy / paste commands and less of thinking – i even did a kernel upgrade couple of times ) but prefers UI largely.

    Is it because updates could possibly break the system at times and knowledge is required for recovery that this caveat is in place.

    I presume even LMDE has Software Manager and Upgrade Manager which can take care of the tasks. Even in regular edition user has to ‘sudo dpkg –configure -a’ (digression – am still puzzled if system itself can suggest the command, why it does not automagically do it and fix).

    Thanks for your patience in reading and keen to hear your views.

  3. Monsta Says:

    How to get back plymouth:

    Plymouth (the splash screen) is not starting in the installed system. This will be fixed in the final release. In the meanwhile, you can do the following to bring it back if you want:
    1. Edit /etc/default/grub as root: sudo nano /etc/default/grub
    2. Change GRUB_CMDLINE_LINUX_DEFAULT=”quiet” to GRUB_CMDLINE_LINUX_DEFAULT=”quiet splash”
    3. Save and exit.
    4. Update your GRUB configuration: sudo update-grub
    5. Reboot.

  4. Monsta Says:

    @Jenia: not the update manager, but mintSources. This app writes the default set of repos to /etc/apt/sources.list.d/official-package-repositories.list

  5. Monsta Says:

    How to report the issues in the installer:

    It has been reported that the installer may crash or finish with the error message. You can do the following to report the issues:
    1. Run the installer from the terminal: gksu live-installer
    2. If it crashes, it will probably show some error messages in the terminal.
    3. Copy the output from the terminal, paste it on http://pastebin.com and post the link it gives you here.

  6. Pirategeorges Says:

    Thank you a lot for this new post, but when can we except to get the final release?

  7. Robin Says:

    Hi Anand,
    I started with Linux a year ago as a newbie to UNIX (though quite experienced since Windows 3.1). For a long time I distrohopped a lot until I settled with LMDE because I love the MATE environment and because it’s a rolling distro.
    Honestly I don’t know why the disclaimer on LMDE because everything works pretty much out of the box and the upgrade manager handles the updates with no knowledge of apt needed.
    I’d rather say a con is that you can’t use the numerous Ubuntu PPAs, but on the other hand you choose to follow the Debian Testing or Sid sources. I’ve been doing that for a over six months without a hiccup. Truly LMDE following Debian Testing is a perfectly stable and up-to-date distro I would recommend. Have no fear your knowledge is not enough, we all started somewhere.
    Robin

  8. fortran Says:

    Congratulations Clem and all team. Greetings.

  9. ByteHunter Says:

    Congrats Clem and team and thank you for the effort!!
    It is much appreciated.

    I just went through a flawless install and no problems to report.

  10. Anand Says:

    @Robin – Thanks for your response. Ups my confidence.
    I rely a lot on PPA’s for additional software (to have the latest). I will read about Sid sources and start following LMDE threads and deep dive once final version is out.

  11. laofzu Says:

    Outside of new iso’s, I don’t see anything new and exciting in the Mate version. Couldn’t find Device Driver Manager in this version. Would be great if there was a netinstall version so we don’t have so many updates to install before the next set of iso’s next year.

  12. Matt Says:

    I just got my ssd for my machine. This is perfect timing thanks. After all other distros I have tried LMDE is by far my favorite.

  13. george Says:

    hi,good job mint team ;)

    I have one question,is DDM not anymore available ?
    Wy are you include sgfxi at new iso?

    Actually they are two questions :D

  14. simon Says:

    re. PPAs which have been discussed above, what are the prospects for setting up some kind of Launchpad (or equivalent) installation for LMDE/Debian testing repositories? There are a few “Debian PPA” style repositories out there, but something like Launchpad for LMDE could be important going forward, and could encourage greater adoption (for me, it’s not about having bleeding edge software, generally, but rather about access to things that are not in the main repos).

  15. simon Says:

    @laofzu’s suggestion of netinstall ISOs seems like a good one, too. is it feasible, I wonder?

  16. Jeol Says:

    Dang! Looks like I still can’t dual-boot alongside Windows. It won’t let me manage manual partitions. I’ll be sticking with LM16 XFCE at least until I get two separate HDDs, which will be very soon, anyways.

  17. Monsta Says:

    @simon: here’s the plan:

    1. Set up a Launchpad-like website. Don’t forget the build service.
    2. Convince every developer or maintainer of well-known apps to use this website in addition to launchpad (so they’ll have to build their software twice and have to deal with the differences between Ubuntu and Debian).
    3. Constantly monitor the situation to make sure that all the software in these “Debian PPAs” still builds and works fine when LMDE gets updated to another Update Pack, and that there are no conflicts in dependencies.
    4. ???
    5. PROFIT!

    :D

  18. ja Says:

    Tnx. Download in progress….

  19. simon Says:

    @Monsta — Launchpad is (theoretically) open-source, right? and the build service is part of that, isn’t it? developers wouldn’t need to build their software twice — the whole point is that the build service does that for them (in multiple versions). in fact, Launchpad could support Debian/LMDE builds if it so chose — just as a new service could support Debian/LMDE and Ubuntu (+derivs like the main Mint editions) at the same time.

    I’m not suggesting its trivial, of course, but as Mint and Ubuntu diverge more and more, and the prospect of moving main editions to a Debian base attracts attention, this is something that might be thought about. Clearly its not a task for the faint-hearted, but it doesn’t strike me as totally infeasible either — does it you?

  20. Terrance Says:

    Tried to move over to Debian, from Petra this afternoon for about 4h. It won’t save onto my memory card when booting from the USB stick. I have no clue what the issue is, for Petra does with no issues.

  21. JohnnyK Says:

    Application windows and desktop icons in the cinnamon live session are black.

  22. Yro Says:

    Clem, whats the Kernel version on this new LMDE ISO?

    The Debian Testing is in Kernel 3.2. Are You keeping it or are You upgrading it to newer one?

  23. JohnnyK Says:

    Mate install is proceeding without any issue. My hardware is probably a little too old for Cinanamon anyways(IBM Thinkpad T41 1.4 GHZ 1 GB RAM) hence the issues cited above.

  24. Jason F. Says:

    So far, unless I am doing it wrong, UEFI install is not working… tried a dd from term on a working debian testing build, a unetbootin from Win8, and a direct copy from iso file to the flash drive. Going to reinstall LM16 for the time being. Anyone else have any luck installing via UEFI? Computer I am installing to has a second drive with a UEFI install of Windows 7, and I really don’t feel like calling M$ to reactivate my copy of Ultimate and Office ><

  25. fenner Says:

    ***PLEASE*** tell me that you will be releasing a KDE Edition

  26. Jason F. Says:

    disregard my last comment, must have been my flash drive. UEFI live usb kicking off from dd term command. :D

  27. kbd Says:

    32 bit Cinnamon working well. I set sources to Debian Testing just to see how breakable it would be skipping the update pack system, it wanted to remove mint-meta-debian-cinnamon so I locked it. The apt-listbugs told me there were several grave bugs including one removing grub, so a bit wild and woolly right now with straight testing sources. But looks solid on the UP system.

  28. Jenia Says:

    @Yro

    The ISO comes with kernel 3.11-2

  29. Ger Says:

    Great work – this is amazingly good on my hardware. Feels way better than main edition for me too. H87 chipset and working lan right off the livedvd! Installed and running really well. Many thanks Team Mint!

  30. The_Raven Says:

    Tested PXE-Boot and it works! :-)
    Only default gw and dns-server is not set. Try to find a solution, but think it’s a config problem.

  31. The_Raven Says:

    Edit: Solution found, edit “/etc/resolv.conf” and add “nameserver 8.8.8.8″ or any other and it works. Thx for all your work on LMDE! :-)

  32. Crewp Says:

    Clem and team, I just wanted to say Thank You, for your hard work. I love LMDE w/ Cinnamon, it is a great OS. Keep up the good work! :)

  33. ulysses Says:

    Never more. I have finally enough of Ubuntu and LinuxMint. At the moment I use ‘Petra’ as a transition system and switch to soon to Debian. A dream is scratched now after a long time and it was not because of me. Sometime is the patience and the good will at the end. Bye bye

  34. El Che Says:

    Hi all, thanks to Clem and team for LMDE.

    I just have a problem, how can I translate the days of the week on the calendar, stay in English …

    Image:

    http://i.minus.com/ibkAHANqcQuxLn.jpg

    Edit by Clem: Hi, it looks like a bug in Cinnamon. I’ll look into it, if not for this release at least for Cinnamon 2.2.
    Thanks.

  35. WhiGu Says:

    Looks like installer still do not see GPT. I can’t to try it on hard drive for so many years.

    Edit by Clem: It was given GPT support and tested in EFI mode with GPT partition tables. It’s possible there’s a bug somewhere but we’ll need more information if we want to fix it.

  36. someguy Says:

    Clem

    It is time to break the main edition away from Ubuntu… I’m sure many of us including myself would contribute to rebuilding debs sources for the future Mint repos. Mint has to become independent sooner or later… lets all get together and make it happen.

  37. dandomina Says:

    I have been using NVIDIA GeForce 6150 LE with NVIDIA 304.xx Legacy driver. I have a problem during upgrade from SP6/7 to 8.

    http://forums.linuxmint.com/viewtopic.php?f=198&t=160050

    Clean installation is better to deal with the driver problem. The nouveau works fine up to 1280 x 1080 resolution, however, at 1920 x 1200 resolution, display flick around (especially when the cursor moves), and practically unusable.

    I have remembered the same thing happened with sp6 and installing nstalling 304.xx Nvidia driver via DDM solved the problem.

    It is so pity as DDM has been removed and now I have managed to install the latest driver by myself, but I really do hope you would offer an easy installation solution for Nvidia drivers for compensation of DDM removal.

    Nvidia 304.xx was treated legacy computer but this was XP computer, and I sincerely do hope that more user will move to Linux Mint, therefore I would like to have some kind of easy solution for 3rd party driver installation for beginners. (DDM worked before like a magic with me at SP6 ;LMDE is far better compatibility than Ubuntu based one)

    Thank you very much for this wonderful OS!

  38. acrophoenix Says:

    Thank you very much Mint team!

    I’m wondering if there is any difference if I upgrade from UP7 or install this ISO?

  39. Yro Says:

    Thanks Jenia for the info.

    And thats a good bye for LMDE…

  40. François Blais Says:

    Installed yesterday with Cinnamon 64 bits.
    Then installed the XFCE desktop. (sorry but I don’t like Cinnamon and MATE)
    Getting this in a terminal:
    francois@francoix ~ $ sudo ufw status
    [sudo] password for francois:
    WARN: /etc is group writable!
    WARN: /lib is group writable!
    Status: active

    What about those warnings?

    Thanks!
    François

  41. FD Says:

    Does this version offer full disk encryption as on option during install?

  42. Anon45 Says:

    A couple of the package would be nice to have a distribution. By default linux-firmware-nonfree, intel-microcode and amd64-microcode (64bit).

  43. brad Says:

    Great, been waiting six months for this, much appreciated. Mate version preferred.

  44. dbzix Says:

    What does it mean ‘RC’? Are we waiting to something like ‘Linux Mint Debian 201403 Final’?

  45. François Blais Says:

    RC = Release Candidate.

  46. dbzix Says:

    Thank you, Francoi, I know what the RC is.
    But the question is rather ‘why’ than ‘what is’.
    Are we waiting the next ISO’s called ‘Linux Mint Debian 201403 Final’? Why ‘RC’ now? What does it mean for us, users?

  47. Kloej Forh Says:

    There is a disclaimer on mais page telling :

    Please do not download LMDE 201303. The repositories were recently updated with UP8 and new ISO images are being prepared at the moment. To avoid tedious updates and unecessary problems we recommend you wait for the release of LMDE 201403.

    Why ??

  48. Hugo Masse Says:

    @dbzix #46

    Yes, this iso is for testing purposes, to be reported so developers can fix them all if possible and somewhere in early March* there is an actual release.

    *did you notice the iso points to march 201403?

  49. Shane McKinney Says:

    Using MATE 32bit and it installed perfectly, unfortunately Caja keeps wanting to open a ton of windows called “x-caja-desktop”. No idea how to stop it other than stopping the process in System Monitor. Other than that I can’t see anything wrong with the iso.

    Edit by Clem: Hi Shane, we’ve been looking at this within the MATE team for months now.. even though it impacts caja predominantly, we think it’s actually a bug in dconf/gsettings. It was fixed in Mint 16 by delaying Caja by 3 seconds during the session start (not ideal, but it did the trick). Here in LMDE 201403, it doesn’t seem to be enough. I’m reluctant to delay it more and we’ve no solution in sight.

  50. dale661 Says:

    I’ve been using the 64-bit MATE version since the release date. The only thing I’ve noticed that didn’t work was the screen splash, but that doesn’t bother me. Other than that, it’s behaving nicely with my hardware. Great job, guys! I’m looking forward to the final version.

  51. Borsook Says:

    Not sure we can call it a “rolling” distro considering how much time passed between updates 7 and 8. It is anything but a rolling distro.

  52. Monsta Says:

    Note about the new tool – sgfxi:

    If you haven’t read the release notes yet, I suggest reading them to learn about sgfxi: http://www.linuxmint.com/rel_debian.php

    It would be good if you’d test the installation of the proprietary NVidia/ATI drivers via sgfxi and report any issues here.

  53. dbzix Says:

    @Hugo Masse #48

    Got it. Thanks.

  54. Rod Says:

    Congratulations!!!
    Downloading now. Looking forward to it :)

  55. Marcelino Says:

    Hmm, it appears Debian will switch to systemd for “jessie” release (http://en.wikipedia.org/wiki/Systemd#Adoption). I guess LMDE should start preparing for systemd in the Debian Testing repo.

    Edit by Clem: Yes, you can already switch to it. It seemed to work well for us but for this release we preferred to stay conservative and opt for sysvinit by default.

  56. alucard Says:

    I’ve been running the new ISO since this morning, it’s very polished and everything works fine except for one minor issue: normally, running an unavailable (not installed) command in the terminal gives a “The program xxxx is currently not installed”, etc.

    After adding some extra repositories like getdeb, though, whenever I tried to run an unavailable command, it gave me an error message instead and prompted to me to run “update-command-not-found”. Running this file seems to have fixed the issue.

  57. Hansl Says:

    I recently updated three machines from UP7 to UP8 (all Mate) and had some trouble:
    • On a desktop with a Nvidia Quadro2000D X didn’t start anymore, but sgfxi rectified this flawlessly. OK so far.
    • On a media PC I did a clean install of LMDE201303, after the UP8 DVD automount quit working. The last updates rectified this, OK so far.
    • On a eeepc the suspend button quit working, this seems to be with the half-baked transition to systemd .

    Now I have a new machine on hold for install, eagerly waiting for LMDE201403 — will the final release be fully switchd to a clean systemd? Is the RC already clean systemd?

    Hey Mint team, I like your work very much! Keep on!
    With the demise of WinXP, I’m now advertising for LMDE Mate among friends and family and have already won converts.

    Edit by Clem: No, unfortunately it will take time for all tech layers to adjust, and it’s not only the distros which are involved here, but also the DEs (sessions, settings daemons and screensavers in particular) and the DMs. We try to support init, upstart, systemd, upower, consolekit, logind… everything really… the best we can at DE/DM level, and integrate all that together at distro level :)

  58. rikhard Says:

    hello all,

    been using lmde for quite sometime, since there was a xfce version.

    i would like to install the next lmde on another laptop, but i really don’t want to use nothing gnome based….

    why is that lmde has no alternative to gnome?
    why not make a gnome cinnamon and a lxde or xfce version instead of two gnome versions?

    can i remove gnome completly, is there a meta-package that i can remove and then install lxde, i3wm?

    thanks

  59. Thom Brown Says:

    Another release where installing the Nvidia drivers means it no longer boots. :( I think I’ve tried every version on Linux Mint on my PC, and I can only ever use it with software rendering.

    For reference, I raised the issue here: http://forums.linuxmint.com/viewtopic.php?f=59&t=150245

  60. martywd Says:

    This is my first foray into LMDE (MATE 64-bit) and now have this current RC dual booting with with LM16 (also MATE 64-bit) on this intel i5 | 4GB ram laptop. Overall many of the the software issues I’m currently having with LM16 MATE are not presenting themselves in this LMDE RC.

    Unfortunately what I am experiencing in this RC are:

    > the caja cascading windows issue mentioned in above posts. Ctrl+Alt+Fx to a TTYx | Login | Reboot thus far has been my only means of recovery from this caja issue.

    > ‘mate-settings-daemon’ runs at or near 100% most of the time causing the CPU fan to run at high speed.

    > The 4GB swap is being used extensively, an issue I have not seen on this machine with lm15 (previously installed) or lm16 (currently also installed), both MATE 64-bit.

    Getting away from an ubuntu based system would be a real plus. If not for the three issues I have noted, I’d be booted into LMDE instead of typing this in LM16.
    .

  61. Briain Says:

    Hi

    Installed 64-bit MATE version on an HP-8440p laptop with 240 GB SSD and Win 7. It all went very well, but the system didn’t fully close down at the end of the post installation reboot (stopped at CLI reboot message, so not far from completing).

    I eventually forced a power down, and when I re-started, the system booted directly into Windows 7, so I then restarted by booting to a boot repair disk (64 bit version from http://sourceforge.net/p/boot-repair/home/Home/) and that totally fixed things. All is now running beautifully (Grub dual-boot working perfectly)!

    I wonder if the post installation issue was maybe caused be me installing Mint onto one big (80 G ext4) partition (and with no swap partition available)? My thinking was to avoid SSD being hammered by little room for wear leveling (something I’ve yet to look at in more detail) so I’m running it with swap set off, for now (all seems very happy).

    Anyhow, than you all very for doing all this; it is totally and absolutely fantastic!!

    Briain

    PS Can anyone recommend compatible wireless USB such that I can install it on another desktop PC (with no wireless card)? 802.11g will do, but I don’t mine 11g or 11n.

  62. Rüssel Says:

    The new LMDE amd64 suffers from the same bug in libimobiledevice as Mint 16 and several versions of Ubuntu. Bug report https://bugs.launchpad.net/ubuntu/+source/libimobiledevice/+bug/1215098

    In Mint 15 libimobiledevice is fine. Does anyone here know if I can copy the libimobiledevice package from Mint 15 to LMDE and Mint 16? And if so, how would I accomplish it?

    Thanks to the Mint developers for the otherwise great RC!

  63. WhiGu Says:

    Clem, some information for gpt problem.

    Partition table scan:
    MBR: protective
    BSD: not present
    APM: not present
    GPT: present

    Found valid GPT with protective MBR; using GPT.
    Number Start (sector) End (sector) Size Code Name
    1 34 xxxxxxx 4.0 GiB 8200
    2 xxxxxxx xxxxxxx 8.0 MiB EF02
    3 xxxxxxx xxxxxxx 256.0 MiB 0700
    4
    5 and so on

    When I’m choosing manual installation it goes to grub-loader installation which present only single partition (sda1) except mbr(sda).

    Edit by Clem: Thanks, I was able to reproduce and fix the issue. I’ll update live-installer in the repositories tomorrow to include these fixes.

  64. Sanghee Says:

    Hello all,

    I am using LMDE for last two days and it was good to me and more responsive than LM based on Ubuntu. But I found some errors.

    a. It did not wake up correctly after going to sleep mode. (e.g. system does not respond)
    b. After reboot, volume has been reset as 100% always. (e.g. I set volume as 50% then reboot. The volume is 100%)
    c. Wallpapers has been changed to default image some time to time.

    Without above 3 errors, I am very happy with LMDE so far. Thanks for release and I am waiting for next release!

  65. burjans Says:

    LMDE Xfce not any more ??? :(

  66. Jenia Says:

    I cannot seem to install
    libavresample-dev
    (I need it to compile Ren’Py to get it to work correctly, due to an upstream debian bug which omits that package from the list of dependencies)
    Can anyone else confirm that it is not installable?
    Any fix other than downgrading a bunch of stuff through the Jessie repos?

  67. Libeth Says:

    Can hardly wait to try the new isos Thanks for Mate. It’s still my favorite desktop.

  68. Zolle Says:

    I try out new version from LMDE. I’ts very good. Thanks ;-)

  69. Libeth Says:

    It would be great if lmde had a mutli-iso option all four iso in one download to copy to pen drive.

  70. Erikje Says:

    I am impressed as a Lubuntu user. How long must I wait for the final release? Or can I install the RC and will it be updated to final?

  71. martywd Says:

    @Jenia — Possibly a server issue when you tried to install?

    I was able to install ‘libavresample-dev’ just now along with a lot of other necessary dependencies. (LMDE 201403 RC MATE 64-bit)

    triton ~ # aptitude show libavresample-dev
    Package: libavresample-dev
    State: installed
    Automatically installed: no
    Version: 6:9.10-1
    Priority: optional
    Section: libdevel
    Maintainer: Debian Multimedia Maintainers
    Architecture: amd64
    Uncompressed Size: 317 k

    .

  72. martywd Says:

    @Jenia — Disregard.

    I see now that once ‘libavresample-dev’ is installed, other packages are then marked for update. Doing an update, either through the Update Manager or by ‘aptitude dist-upgrade’, etc., will then insist on uninstalling ‘libavresample-dev’ because of dependency issues. Ouch.

    Sorry!
    .

  73. hamburn Says:

    @11laofzu

    there is no “Device Driver Manager” in this version.
    To install the driver please read “known problems”:
    http://www.linuxmint.com/rel_debian.php

  74. Caner Says:

    Hello,

    In LMDE info you mention that we never ever need to reinstall the system. However in every update packet many people complain about upgrade issues.

    How do we trust that update pack 9 will upgrade seamlessly? Now I see in LMDE download page that it is not recommended to install 2013 version and do an upgrade.

    I am wondering is this ever going to be a totally automated without any problems. Rolling release should just roll on.

  75. Fernando Says:

    I really wish I could enable fsck on boot on LMDE.

    I’ve had some file-system errors which forced me to boot a liveCD just so I can fsck the partition LMDE is on in order to fix it.

    Now I’m using Mint 16 which corrects errors when needed.

  76. Jenia Says:

    Other than not being able to install libavresample-dev,
    I noticed that cinnamon is leaking memory. I’m on 32bit.
    It starts at 90 MiB and then rises steadily over time, and has crossed the 1 GiB mark several times for me, making the OS rather sluggish.

    Using the “Restart Cinnamon” button under “Troubleshoot” (How are you supposed to guess that button is found by right-clicking the little face icon!?) sets it back to 90 MiB.

    @martywd – at least you confirmed it’s not REALLY installable.

  77. Monsta Says:

    @martywd: fix for 100% CPU usage by mate-settings-daemon – http://forums.linuxmint.com/viewtopic.php?f=198&t=159793#p824632

  78. Monsta Says:

    @burjans: breaking news!!! lmde xfce has been discontinued in December 2012 – http://blog.linuxmint.com/?p=2237 :D

  79. Monsta Says:

    @Caner: did someone promise you it will always upgrade seamlessly?
    LMDE is based on Debian Testing, it will never be perfect.

  80. Monsta Says:

    @Jenia: yes, libavresample-dev wants libavutil-dev from the main Debian repo but the version from deb-multimedia gets in the way.

    You can try
    apt install libavresample-dev libavutil-dev=6:9.10-1 libavutil52=6:9.10-1
    - but beware, this will remove vlc and some multimedia libs.

  81. Monsta Says:

    @martywd: and yes, if you manage to install libavresample-dev, you’ll also end up with a bunch of libs from the main Debian repo which are older than the ones in deb-multimedia. So of course the next dist-upgrade will try to restore status quo and to remove libavresample-dev. You’ll need to put these libs on hold (using apt-mark, for example) to prevent that.

  82. Caner Says:

    @Monsta: Then how can you call it a rolling release, and how can you say that you never need to reinstall your system?

  83. Monsta Says:

    @Caner: who calls it rolling release? It’s not rolling, it’s semi-rolling because of the Update Packs. And you don’t need to reinstall if you know how to live in this system. I’m writing this from the system installed in August 2011. Not every upgrade went flawlessly, but I never had to reinstall it and never did that.

  84. WhiGu Says:

    Clem, I think, possibility of choosing standard debian text installer can help to solve gpt problem.

  85. Caner Says:

    @Monsta: Ok now it makes sense. But this requires some knowledge.

    What I was asking at the first time is that, since you can maintain it since August 2011, I believe that this maintenance can be automated too. I am not criticizing LMDE, but arguing that this is something possible and it would be very nice, and I am not expecting that people need to do it just because I wish so.

    Thanks for your answer and I wish all the best to the team.

  86. Monsta Says:

    @Caner: of course some knowledge is needed.
    Have you read the FAQ in this very blog post? I’ll quote a few lines from it:

    - LMDE requires a deeper knowledge and experience with Linux, dpkg and APT.
    - Debian is a less user-friendly/desktop-ready base than Ubuntu. Expect some rough edges.

  87. Monsta Says:

    @Jenia: I found out that you can install libavresample-dev straight from deb-multimedia.org:

    - add “deb http://deb-multimedia.org testing main non-free” to your sources list
    - apt update
    - apt install libavresample-dev
    - remove deb-multimedia from the sources list
    - apt update

    Somehow that lib wasn’t in deb-multimedia repo when UP8 snapshot has been taken. As it’s now present there, it should make its way to UP9.

  88. Thomas Says:

    A small suggestion – if this is not yet in RC, please add option which allows manually refresh Wi-Fi networks.

  89. Grant Says:

    This bug should be fixed before publising the official release:

    https://bugs.launchpad.net/linuxmint/+bug/1284611

  90. baptiste Says:

    Is there an easy way to change the layout to the default MATE one?
    The default Mint layout has its niceties but so does the old two-panel one.
    It would be very nice to be able to switch to one or the other. At 1024×768 it’s getting to feel crowded, width wise :)

  91. Jenia Says:

    @Monsta : Thanks, although I already used your previous suggestion and downgraded, then compiled Renpy with the downgraded libs.

    Eh, it might work with the newer versions. I’ll give it a go.
    Maybe clem&co should update that one package to the UP8 repos, if that’s not too much trouble?

  92. martywd Says:

    @Monsta: Thanks for the clue for the ‘fix for 100% CPU usage by mate-settings-daemon’ that you mentioned above ==> http://blog.linuxmint.com/?p=2571#comment-104615

    I’d done some poking around in the forums but hadn’t seen that thread.
    .

  93. Zachary B. Says:

    Hey, everything working perfectly. Installer went flawlessly, booted in EFI mode on my gpt scheme disk. So cool. Very,very smooth. I have lenovo s210 touch. The brightness keys weren’t working but the GRUB_CMDLINE_LINUX_DEFAULT=”quiet splash acpi_backlight=vendor” fixes that right up. I am new to Linux, so I am confused why uname -a results in 3.11-2-amd64 #1 SMP Debian 3.11.8-1 (2013-11-13) x86_64 GNU/Linux.

    Shouldn’t that middle part say 2014 not 2013? Or is that because its an rc. I could have sworn I downloaded the new one lol.

  94. acrophoenix Says:

    I wish the installer can mount / at hard drive, and mount /home at another hard drive. Will this functionality be added in the future?

    Edit by Clem: Yes, we’ll change the way that works the next time around hopefully.

  95. dan Says:

    hmm anybody else had problems with software manager?
    i’ve tried to install smplayer using software manager. it started the download and i think that after download (i wasnt paying attention) i’ve got an error. something about dpkg. but the good part is that smplayer got installed.

  96. dan Says:

    quick question: any way to disable pulse? i mean completely disable. i don’t want to remove it (i think its impossible). i just want to disable it and go back to alsa. on mint i use to edit client.conf and daemon.conf autospwan/demonize=no but on lmde these settings has no effect.

  97. Jetip Heosh Says:

    Will be Netbeans and anothers dev tools on last version on it ?

  98. JMR Says:

    RC Candidate for Mint Debian looking good so far, good job guys!!

    I’ve been trying to get back into Debian, back to the basics again. I still like Ubuntu more or less, but I wasn’t happy with a lot of the changes they implemented. Mint Cinnamon was always a good alternative, but I wanted Debian again…..and the old Mint version was too old for my taste

  99. martywd Says:

    I haven’t seen anyone comment on power management issues so I well.

    > In ‘Contol Center|Power Management’ I have configured when laptop is inactive to ‘Suspend’ after X mins. This laptop does not suspend after the configured time.

    > Also in ‘Control Center|Power Management’ I have configured for the machine to ‘Suspend’ when the power button is pressed. But when the power button is pressed the laptop immediately SHUTS DOWN.

    And as already noted above by ‘Monsta’ w/link but I’ll mention again…

    > Something intermittently continues changing the ownership (owner and group) of the ‘/run/user/1000/dconf/user’ file to ‘root’. Once this happens I start seeing errors in the .xsession-errors file in my $HOME mate-settings-daemon, mate-power-manager, etc. do not have permissions to write to ‘/run/user/1000/dconf/user’. I think this might be related to the 100% CPU / mem leak issue?
    .

    Edit by Clem: The first two issues are related to MATE, we’re planning on upgrading some components to fix that. The third one looks very much like the notorious runtime dir bug from upstream systemd… we fixed that in Mint 16 but in the scope of a semi-rolling distribution like LMDE I’m not sure we want to pin systemd. I’ll have a look.

  100. JMR Says:

    What gives? I have 5 GB RAM in this machine…the RC candidate (32-bits) for Mint Debian only “sees” 3 GB. Every other distro I’ve tested lately (Debian, Ubuntu, even Mint Cinnamon…also 32 bits version) ALWAYS sees all the RAM I have in my other machines (PAE enabled, all the way to 9 GB)

    How come this one only sees 3 GB??

  101. andret419 Says:

    To be honest!
    This last LMDE is beautiful and working perfectly. I downloaded the 64b-cinnamon LMDE and I think that is and represent
    Linux-Mint. Since the beginning of LMDE, I always loved the fact that we do not have to reinstall and being almost as simple and easy to install and keep up to date than the regular version but with a Linux-Mint personal touch with a Debian base, I must say it is a very good system and thank you very much for this version.

  102. Monsta Says:

    @Zachary B.: the snapshot of Debian Testing repo that later became UP8 has been taken in December 2013.

    @acrophoenix: you’re quite late with that suggestion – the manual partitioning that allows that scheme has been added a year ago, in 201303 ISO.

  103. Zachary B. Says:

    @Monsta thanks for the clarification Monsta. Oh, that’s why it says 2013.

    @martywd: I am using Cinnamon. I also noticed pressing the power key really quickly just shuts it off. Also the battery when charging only ever reaches 98% even though it’s gotta be a hundred. I am experiencing really good battery life, too.

    Thank god my iso came shinny. Because I don’t know a rats butt about the “deeper understanding of APT and dpkg.” I have a book on command line though, its new. Also am going to learn more. Just know, this thing is solid, o_0 even a newb slipped in. lol.

  104. Monsta Says:

    @JMR: your question proves that it’s a good habit to read the release notes – it can greatly save time and efforts.

    32-bit version of LMDE comes without PAE support by default. If you want to install PAE-enabled kernel, read http://www.linuxmint.com/rel_debian.php (section “Multi-core and multi-CPU support in 32-bit kernel”).

  105. nobody Says:

    Launching in the terminal “leafpad” or any other program not present in LMDE gives the following error message: “Could not find the database of available applications, run update-command-not-found as root to fix this”. You may want to fix this.

  106. bob hunter Says:

    what do I need to update from linux mint maya?

  107. martywd Says:

    Not sure this is of any importance? Update Manager indicated an update available: ‘debian-system-adjustments’ So I ran the update…

    There were some ‘warnings’:

    Preparing to replace debian-system-adjustments 2014.02.26 (using …/debian-system-adjustments_2014.02.26_all.deb) …
    Unpacking replacement debian-system-adjustments …
    Processing triggers for mintsystem …
    Processing triggers for desktop-file-utils …
    Processing triggers for mime-support …
    Processing triggers for libglib2.0-0:i386 …
    Processing triggers for libglib2.0-0:amd64 …
    Setting up debian-system-adjustments (2014.02.26) …
    Checking font configuration…
    WARNING – /etc/fonts/conf.avail/10-antialias.conf not found!
    WARNING – /etc/fonts/conf.avail/10-hinting.conf not found!
    WARNING – /etc/fonts/conf.avail/10-hinting-slight.conf not found!
    WARNING – /etc/fonts/conf.avail/11-lcd-filter-lcddefault.conf not found!
    WARNING – /etc/fonts/conf.avail/53-monospace-lcd-filter.conf not found!
    .

  108. JMR Says:

    To Monsta:

    Indeed, as it usually happens…about 10 minutes after my post for the non-PAE support I found what I needed on the “Known Issues” section

    I upgraded to that kernel PAE package and system now sees all the RAM and multiple cores on my machine

    I do wonder, however, in this age the vast majority of all machines have multiple cores and most likely more than 3 GB RAM…how come that support wasn’t enabled by default on the standard ISO?

    Otherwise, I’ve been very happy with this release. Once the final version comes out I’ll be using it in at least one of my many PCs at home!!

  109. Zachary B. Says:

    @JMR, does the final version need to be freshly installed. Or can you update from this version????

  110. taco Says:

    You guys really done well on this one, The font is fantastic! I can see them perfectly without having to squint or strain my eyes! well even though I got mate this time and not cinnamon, But I’ve heard better from mate than cinnamon.. The only thing I had trouble on is the amd proprietary drivers because it wouldn’t boot into ‘x server’ and … yea. but after I ran sgfxi (again) and tweaked the xorg.conf it worked! Keep improving LMDE! I love the concept and it aswell!
    Running LM on my laptop and LMDE on my desktop (only because you don’t have to think alot more about things with LM.. no offense)

  111. acrophoenix Says:

    ibus-1.5.3 is in use in this version, which has a bug that would make the input window outside of the current dialogue. Will you update it to a newer version, say, ibus-1.5.5 that has this problem fixed? If not, when will you plan to update this package? Until the next release? Thanks!

  112. ranjii Says:

    is it compatible wth mint 13/14/15
    grub identifyies & loads which versions/OS
    like windows/dos
    linux flavours besides debian
    like fedora or linpus or unix
    what happens 2 ubuntu based kernell

    nevertheless congrats debian is stronger stable

  113. Monsta Says:

    @acrophoenix: LMDE does not get such updates between Update Packs. Users can freely get the version they want from Debian Testing repo or from snapshot.debian.org.

  114. asterion Says:

    Congrats to the whole team for a great job!

    I run a Pentium 4, 2.8Ghz HyperThreaded cpu.
    I installed the 686-PAE kernel but still only one “core” is available.
    This was not an issue with Maya on the same pc and it’s quite annoying.

    Meanwhile everything else runs like a charm.

    Keep up with it!
    We love Lmde

  115. Tomas Kopal Says:

    Hi,

    thanks for the RC, much appreciated.

    I have just tried a clean install and here are my first impressions:

    - Booted the ISO from a USB stick. This unified iso stuff is cool :-) . However, when I run the installation and select edit partitions, I get couple of errors about the USB stick (GPT disk without dummy MFT, missing GPT backup etc.) This could be a bit distracting for novices.

    - Haven’t found a way yet to install with LUKS full encryption.

    - I am installing to a second HDD, EFI partition is on the first disk. But in the installer, I can not assign /boot/efi to a partition on different disk than I selected for installation. Maybe this is not required, I haven’t finished the install yet (LUKS is a deal breaker for me).

    - When I shutdown the liveCD session, I get switched to the text console on terminal one. After waiting for a while, I found by switching manually that on the graphical console, there is a message “remove USB and press enter”. Not very intuitive.

    Hope this helps to get this release even better than it already is :-) . I will test more when I get bit more time again.

  116. Edward Edwin Devasahayam Says:

    Live booted via USB pendrive. Excellent !!!. Thanks a lot.

  117. sbaguz Says:

    LMDE is simply the best distro ever!

    Great work guys!

    ;)

  118. Monsta Says:

    @Tomas Kopal: if you want to assign mount points to different disks, you need to use the manual partitioning (select that when the installer asks on which disk to install – even before the partition list screen).

    As for the errors about GPT, can you post the exact error messages or a screenshot?

  119. martywd Says:

    @Monsta typed to Tomas Kopal: ‘if you want to assign mount points to different disks, you need to use the manual partitioning (select that when the installer asks on which disk to install – even before the partition list screen).’

    Oh wait! You mean if at one of those first LMDE install screens where it asks how/where you want the install LMDE, I had just gone with the default choice, the next screen(s) would have given me more specific options as to which disk and partition I wanted to install LMDE?

    I ask because I with multiple OSs already installed on my machine, I didn’t want to blow out my entire hard drive to install LMDE. Thus I choose the other REALLY MANUAL option. The one with a screen of instructions to ‘mount /dev/sdaX /target’, etc. and later in the install process ‘chroot /target’, edit ‘/etc/fstab’, … …

    Are you typing that I could have gone with the default where-do-you-want-to-install option and NOT blown out all my other existing partitions? If so a bit more elaboration at the beginning of install would have been helpful!

    ——-

    @Monsta also typed: ‘As for the errors about GPT, can you post the exact error messages or a screenshot?’

    I speculate that Tomas used something like the ‘USB Image Writer’ (mintstick) to create the bootable flash install? As I did. While I don’t recall seeing this error when I did my LMDE install, I do see errors like this every time I open gparted and gparted does it’s device scan when an flash drive is plugged in and has been formatted with ‘mintstick’ or similar program (NOT ‘unetbootin’). Most ‘fdisk’s also throw similar errors. FWIW.
    .

  120. Tomas Kopal Says:

    @martywd: I speculate that Tomas used something like the ‘USB Image Writer’ (mintstick) to create the bootable flash install? As I did. While I don’t recall seeing this error when I did my LMDE install, I do see errors like this every time I open gparted and gparted does it’s device scan when an flash drive is plugged in and has been formatted with ‘mintstick’ or similar program (NOT ‘unetbootin’). Most ‘fdisk’s also throw similar errors. FWIW.

    Exactly, I have used Win32DiskImager. The error is not displayed by mint install, but gparted when doing disk scan. I don’t know if this is a problem of the ISO image (which I assumed) or the image writing program (but that’s just a gui-fied dd, isn’t it?), but gparted was complaining. Maybe this is normal for these hybrid ISO images?

  121. madarexxx Says:

    http://pastebin.com/H7qtUF2p
    installation ended with “grub is not configured, you must configure it manually” (i made grub-update, everything ok)

    BTW i’ve trouble – i use two layouts – russian and english. switch is set to ctrl-shift. i can’t use ctrl-shift-* shortcuts in terminals. when i set switch layout shortcut to nothing, all terminal function work. what can i do? DE is MATE,32-bit
    thanks in advance

  122. Monsta Says:

    @martywd: you need the manual partitioning (the one involving command line tools) only if you want to have the partitions on several disks, e.g. / on one and /home on another one. If you use only one disk, you don’t need it.

  123. Glenn Says:

    Congratulations everyone, LMDE 201403 RC 32-bit installed perfectly and is running well in VBox 4.3.8 92456 on my 64-bit host. I’ll try it out next on my old Pentium-M notebook as a replacement for Ubuntu. Keep up the great work!

  124. Monsta Says:

    @madarexxx: that’s why I eventually assigned the layout switch to Caps Lock. It’s a useless key anyway, so I’ve put it to work, and at the same time I got rid of that ctrl-shift problem.

  125. asterion Says:

    Any ideas on how to solve the problem described in comment No.114?
    I searched the forums but couldn’t find any help.
    Thanks!

  126. Monsta Says:

    One more debug note:

    If the installer shows this message -

    “WARNING: The grub bootloader was not configured properly! You need to configure it manually.”

    - please paste the /var/log/live-installer-grub-output.log file on pastebin.com and post the link it gives you here.

  127. Jesus Pardo Says:

    Hello, good work I update my pc with LMDE gnome, its have an processador amd fx, was hard update, but it is ok, with 1.5 years of use. My lap acer 4720z with almost 4 year with LMDE gnome now looks good. I use aptitude, ap-get update- apt-get upgrade, my system is good, thanks. I’m sorry my bad english.

  128. laofzu Says:

    I have tried both LMDE Cinnamon and Mate 64 bit editions. Installer when complete hangs during reboot forcing you to use the power button to shut off machine, remove USB Key and restart machine. Also, Cinnamon still gets screen resolution screwed up when playing some games full screen. Yesterday it was a game called Monsterz that my wife loves. These are not new problems, should have been fixed a long time ago.

  129. Glenn Says:

    Running LMDE 201403 Cinnamon RC 32-bit from a Live-DVD freezes at the Desktop on my Dell D800 1.4 Ghz Pentium-M with 2GB RAM, NVidia Geforce 5200 M, 32 MB VRAM. LMDE boots to the Desktop but does not run any applications and will not connect via WiFi. Main Menu stops responding when any application is selected. Maybe neauveau driver?

  130. Rich Hunn Says:

    The screen (gui) installer stopped on a “broken files” message, Synaptic
    couldn’t find any broken files. So, did an update and upgrade from the
    terminal with the -f switch in both cases and had no further problems.
    U8 does seem to be much quicker, and still very stable.

  131. martywd Says:

    re: mate-power-manager and mate-power-manager-common updates done a few hours ago.

    > Now after X mins my laptop automagically goes into suspend as should be expected.

    > As mentioned previously, power button press set to: ‘Ask me’. Now when the power button is press, the gui prompt does appear, but only very briefly and then the machine immediately shutdowns. So this is still an issue.

    ———–

    Also did the systemd updates earlier today and have rebooted 3 or 4 times with no unpleasantness after logins with CPU race or excessive mem usage thus far. Machine just brought out of suspend a few minutes ago. Uptime 2 hr 16 min, SWAP still at 0. Time will tell if this continues?
    .

    Edit by Clem: Yes, suspend was fixed with an update in mate-power-manager and the CPU/crashes issue was fixed with the systemd update. To fix the power button, edit /etc/systemd/logind.conf, uncomment the line with “HandlePowerKey” and give it the value “ignore”. Also in /usr/share/acpid-support/power-funcs, find the line PMS= … and add mate-settings-daemon and cinnamon-settings-daemon in there.

  132. madarexxx Says:

    Clem, there is really critical bug in installer – it allows to set up only 1 (!) layout – Russian or English! After successful installation i was not able to log in, because i’ve set password in English letters, but only Russian (Russian language uses it’s own set of letters – called кириллица, which isn’t compatible with European at all) layout is available in mdm and tty’s! Keyboard switching setup should be added in live-installer (just like in Debian installer). Please, don’t release LMDE without fixing this bug!
    Thanks for your nice job, Clem – LMDE and Mint 14 are just awesome!

  133. Monsta Says:

    @madarexxx: you need to choose the English layout in the installer and add the Russian one (and set up the layout switch) after the installation. There’s no other way.

  134. Bruce R Says:

    Another brilliant release from the team – thank you.
    The smart alternative to a Ubuntu derivative has got much better.
    Running the 32bit Cinnamon version on a “Bruce’s Way” ’32GB’ SanDisk USB key with vm.swappiness=5 it’s very responsive on my ‘old’ C2D and C2Q rigs and the bottom panel applets are performing well.
    I’m also pleased to find that old favourites of lame, ripperx, acidrip, handbrake-gtk and Kaffeine for DVB-T use are readily available but haven’t yet managed to get Nvidia, let alone OverScan Correction sorted out but it’s already good enough to bridge ‘the Windows Gap’.

  135. T. Patrick Farmer Says:

    Wow… Kudo’s to the LMDE development team !
    I just installed LMDE x64 Mate, a few days ago. and the only issue I had was that it would not boot after the install, but it posted this message-
    “modprobe: module dm-raid45 not found in modules.dep”

    I am using a single 500GB drive (new), with only a swap partition
    and a (ext4)mount point (/)partition. which I installed without the GRUB bootloader. It was my understanding (I am a novice, so I may have misunderstood ;) that Grub would not be needed for a Linux only install. but after some trial and error,… Reinstalling with Grub turned out to be the Fix. and I just couldn’t be more pleased with the results… SERIOUSLY.
    Since I had been using the (rather clunky, IMHO) Ubuntu Based Mint 15 and 16 until now, I was wary of LMDE because of the description of the differences between Mint 16 and Debian that is provided, warning that only more experienced users may want to use Debian… well The Ubuntu based versions are Far from perfect. and I spent quite a bit of time Fine tuning Mint 15/16. and so I am really pleased with the perception of speed and solidity of the Debian Base… Big difference. I am 46yo and pretty much self taught on computers
    (with quite a bit of advice from folks like yourselves, of course ;) starting with my very first computer in 2008 (I got very ill, and needed to do SOMETHING with my useless self) and I just recently became a Proud Convert from McWindows OS’s, and I really want to say thanks for all the hard work of the various Linux contributors who have made it possible for a “cut and paste” command line user,(like myself) to participate, and fully enjoy the numerous benifits of “Community Based” operating systems. and I suppose that Microsoft also deserves a Nod, for trotting out that God Awful mess (8.0/8.1) of an OS, which was the catalyst that caused me to take yet another stab (my 3rd or 4th) at using Linux…
    And that decision was My Good Fortune, INDEED .
    and I want to say Thanks to you Clem, I have found so much useful information, in reading what you have shared with others… you are (as they say) a Scholar and Gentleman, and it is the generous nature of the Folks like yourself, who’s Time, patience and willingness to help the newbie’s, is the very thing that has enabled someone like myself (a bit long in the tooth..) to learn computing. and that has ultimately kept me going through a damned rough patch in my life, and that is No Small Thing, my Friend…

  136. zakapior1983 Says:

    Thank’s for the good system,better than Ubuntu,in my opinion.I have one question.Does the RC will be update to the final version or I have to install clean final version???Than’s for answer….

  137. Tomas Kopal Says:

    Hi,
    I did another install session, so here are some more notes. In cases where it matters, I am using 64-bit cinnamon edition booted from USB stick in EFI mode.
    – I have tried grub option “Check medium integrity” on the install medium. At the end, I got an error “Boot failed” and some more texts. It’s not really clear from the text what happened though. There is a link to boot.log file, but that contains just:
    “error reading /lib/udev/hwdb.bin: No such file or directory”
    and then later on ”
    /bin/md5sum: WARNING: 6 lines are improperly formatted
    /bin/md5sum: WARNING: 1 computed checksum did NOT match”
    There is also a reference to tt8, but switching there, I see full screen of success messages, no error. Scrolling is not possible after switching consoles. Other than that the stick works ok, so I suppose this is not really data inconsistency, more like misconfiguration of the check itself…
    – When you select the advanced install (manual mount) mode, you get a screen with instructions what you need to do. That’s good. It would be nice though, if the dialog at this point had a button to open a terminal window, so you don’t have to go to the main shortcuts bar at the bottom. It’s just a nitpick though…
    – When I fired a terminal and tried to do the steps described, the mountpoint /target didn’t exist. It would be good to either create it before this step, or at least mention it in the instructions, that you need not only mount root there, but also create it. Minor nitpick again.
    – During the install with manual root mount, I got an offer to install GRUB. There is no information which grub is it. Normal, or EFI? The offers where to install it suggests it’s normal one. So, there is no way to install EFI grub in advanced mode by the installer?
    – When you go through all the installer screens setting things up, when the installer is ready to start formatting/copying etc., it would be more ergonomic if there was a popup with something like “Everythin is ready, start the install?” and OK/Back buttons to confirm. Or at least, the button Install in the main dialog should be on different place than the previous Next button. It happened to me that I did a double-click instead of single click and I skipped the last window, and at that point, there is no way back, your old data are gone.
    – In the manual mount mode, when the copying is finished, you are said to create /etc/fstab file. It would be great if this file was pre-made a bit, at least the “generic” mounts as dev, sys, proc etc. should be there. They are almost always the same, aren’t they?
    – One more nit-pick to the last instructions screen – you are said to install other needed packages, as e.g. cryptsetup. After trying to install cryptsetup, I was said it is already installed :-) . Maybe it should be removed from the list of example packages :-) .

    Other than these minor things, the install went quite smooth, and after manually installing and configuring grub-efi-amd64 package, and some fidling with LUKS, I have perfectly booting and working LMDE setup. Thank you for all your work…

  138. MAB Says:

    Yesterday,”linuxmint-201403-cinnamon-dvd-64bit-rc” was installed with french language on “PC Acer Aspire Z5610 All-In-One” without problem.

    Thank you very much for this brilliant work.

  139. martywd Says:

    @clem typed in comment #131: “To fix the power button, edit /etc/systemd/logind.conf, uncomment the line with “HandlePowerKey” and give it the value “ignore”. Also in /usr/share/acpid-support/power-funcs, find the line PMS= … and add mate-settings-daemon and cinnamon-settings-daemon in there.”

    Ahhhh, thanks Clem. I’m sure you meant to type: ‘/usr/share/acpi-support/policy-funcs’ . NOT, ‘../../power-funcs’ . ‘policy-funcs’ is were I find the ‘PMS=’ lines (actually 2 lines).

    I added (for MATE) ‘/usr/bin/mate-settings-daemon’ into the first PMS= string in ../../’policy-funcs’. That along with the ‘/etc/systemd/logind.conf’ mod, did THE FIX. Power button press now gives me the gui prompt w/ the 60 sec countdown.

    ——–

    FWIW, I had already poked around in the ‘policy-funcs’ a day or two ago but the format of this policy-funcs’ seems much different to what I recall from earlier LM MATE’s which had a similiar issue so I left all alone in confusion. ‘systemd’ is new to me, and from what I’ve read …, shall I type, …’controversial’… not put too fine a point to it? ;-)

    Anyway. Thanks again Clem et al. I’m luv’n LMDE MATE. Seriously thinking about running LMDE on all my machines that are now running some version of LMxx MATE for the last 2 or 3 years. Hmmm? But one machine has an NVIDIA card? Not sure that’s going to work well with LMDE?
    .

  140. Rich Hunn Says:

    I’m running the GTS450 card, works just fine, 1920 by screen, no issues.

  141. martywd Says:

    @Rich Hunn

    Mine’s an old GTS250 card. I guess I’ll have to read up on ‘sgfxi’. Thanks.
    .

  142. Tyler Says:

    /etc/apt/preferences.d/official-package-repositories.pref contains:

    Package: *
    Pin: release o=Ubuntu
    Pin-Priority: 500

    I would think that should be Debian.

  143. Forst Kolr Says:

    I had problems with my Thinkpad E430.

    The Mint dont recognize the RESOLUTION INSIDE vm [wxga - {1366 X 768}].

    The Mint dont recognize keyboard, fix with: setxkbmap -model thinkpad60 -layour br

    No simple way to add new resolutions.

    Development software like Eclipse and Netbeans will be on latest version on this ?

  144. linenoise Says:

    @ Clem

    I followed the advice you gave to another user and edited logind.conf to fix the issue where pressing the power button leads to immediate shutdown. The problem is still there (note: I’m using systemd).

    However I couldn’t find any line containing “PMS=” in /usr/share/acpi-support/power-funcs so I couldn’t apply the second fix. Any ideas?

  145. Boris Says:

    Thanks for New version to Clem and team!
    I have a few questions for his team give this version.
    Why Final Version is Out in servers but Mozila Firefox put in is v27 but lates is 27.01?
    Why you never try to sabilisate new edition with latest New Stable linux Cernels?
    Why i cannot change seting in my aduio to work audio line Out and In to work with my TV?
    Why drivers manager is missing?
    thank you in advance for your answers!

  146. Briain Says:

    LMDE 64 Mate: Curious issue with multpile caja

    Three times now, I’ve had an issue with x-caja-desktop opening multiple instances (as in continuously opening hundreds of them) and the only way I’ve found to stop it is by using laptop power button to close down system and thus reboot it.

    Looking on www I found a few mentions of this happening after login, but with me it’s with the system running normally. One occurrence was triggered by emptying the desktop ‘wastebasket’, another started after opening a terminal window (with Firefox and Thunderbird already running) and I can’t remember the circumstances that triggered the third event.

    https://github.com/mate-desktop/caja/issues/150 contains a suggestion to modify /usr/share/applications/caja.desktop

    caja -n

    to

    caja -n –sync

    I see that in this version, the command is slightly different (caja –no-desktop %U), so if it happens again, I’ll try changing the command to the –sync version as suggested at that link.

    Anyone else had this?

    Bri

    NB This first happened not long after installing Wine (which I’ve not yet used) but that’s maybe just a coincidence.

  147. Harrie Says:

    Installed 201403RC
    Thunderbird OK
    Lightning problems: It lists my two calendars in my existing profile, it shows the correct date, however it doesn’t show events, I can’t change day/week/month view, I can’t add new calendar, I can’t delete existing calendar. It just looks dead.
    Can anybody confirm correct operation of lightning?

    Harrie

  148. linenoise Says:

    Please disregard my previous message. Editing policy-funcs and logind.conf as suggested by Clem fixed the power button issue.
    Now the only problem left is plymouth, which doesn’t seem to like systemd (hangs during boot). But I guess I can live without it.

  149. Anthony H. Says:

    Just a note to say thanks and excellent work. I tried Mint a few years ago (forget what release) but couldn’t get it right. Went back to Ubuntu and it was ok but recently installed Petra 16 on my laptop and wow, right out of the box it was silky smooth. Even after messing up I was able to correct and move home to separate partition (thanks to the wiki guys) seriously, it’s great. I tried Xubuntu as well – looking for a lightweight distro but it doesn’t compare at all. Nice work folks.
    I’m getting ready to change my HTPC to Mint too. I’ll be sending a little cash along soon as I get paid – woo hoo!!

    You know, not to get too philosophical or anything but the whole Linux project gives me hope for people. Who would have thought this could happen? In our parents’ time it wouldn’t have.

  150. Karl Says:

    Does the latest Debian accepts official firefox and thunderbird?

  151. linenoise Says:

    Clicking “Account Details” activates the webcam for a couple of seconds. The same happens when clicking the installation icon in LMDE live. Is this intended behavior?

    Edit by Clem: Yes, in both tools the webcam is used to let you take a picture of yourself but we need to know if there is a webcam and if it’s functional prior to showing you the “Take a photo” button. To do this we use a library called cv and we take a dummy picture. That’s why you see the light come up. Here’s the code for the dummy test: https://github.com/linuxmint/live-installer/blob/master/usr/lib/live-installer/frontend/gtk_interface.py#L267. And here’s the code when you take a picture: https://github.com/linuxmint/live-installer/blob/master/usr/lib/live-installer/frontend/gtk_interface.py#L505. As you can see it works the same way, the only difference is that the picture you take is saved to disk, whereas the dummy test only stays in memory until you close the tool or until you take another picture. Ideally we’d want cv to tell us if we can rely on the webcam without testing it with a dummy shot but so far that’s the best way we found to bring webcam support. Another limitation with the current implementation is that we don’t “film” you.. so you can’t “see” yourself while taking the shot. Even though there’s no privacy issue, the current implementation confuses people by activating the webcam when tested, and isn’t comfortable to users when actually taking the shot. Maybe we can use cv better, or maybe we’ll switch to another library to support webcams. We’ll check how other projects do, “cheese” for instance and hopefully learn from them on that.

  152. Briain Wilson Says:

    Hi

    Ref post 146: My multiple caja issue was repeatable by emptying Waste Bin (or whatever it was called), from right-clicking icon on desktop then selecting to empty.

    Also had mate-settings-daemon issue described in post 60 (and fixed by following instructions from link in post 77).

    I’ve just trashed the installation and instead installed the Cinnamon 64 bit version, and it seems a lot happier, thus far.

    Also note my post 60 (and another post, No 128) re the system not fully closing down at the end of the post installation reboot (stopped at CLI reboot message, so not far from completing). This happened with both the 64 bit Mate installation and the 64 bit Cinnamon, but a forced reboot and all was well.

    Again, thanks to everyone for building these iso’s; seriously cool stuff!!

    All the best
    Bri

    Observations:

    Unlike Mate, Cinnamon appears to have no obvious way of seeing WLAN’s current connection rate via GUI (so needs sudo iwconfig wlan0).

    I noticed that both Mate and Cinnamon tend to associate with 2.4 G where both 2.4 G and 5 G are available (set with same SSID/PSK). The way I’ve sorted it is to disable 2.4 G radio in my WAP and then it picks up 5 G. Once done, power 2.4 G radio back up in the WAP, then in Cinnamon, right click wireless applet on task bar, select network settings -> click on arrow to right of active SSID -> select settings button -> BSSID drop down list should now show both WAP radio MAC addresses, so select one for 5 G radio and save.

    Mate process is similar, but slightly different navigation route to get to the same screen as described above.

    Not sure if this officially locks preferences (i.e. to selected MAC) but it looks like my laptop now always selects the 5 G radio (where before it was selecting the 2.4 G radio) and thus now I get the higher rates (currently showing as 180 Mb/s).

  153. linenoise Says:

    Dear Clem, thanks for the clear explanation about the webcam issue & cv).

    BTW I see the final version of LMDE is going to be released soon (congratulations). I was wondering if those of us who installed the RC can simply use the update manager (I’m thinking about the various “manual” fixes like missing configuration options in logind.conf, grub, etc.) or do we need to download the ISO and reinstall?

    Thanks in advance.

  154. rod Says:

    @ Monsta

    Regarding “WARNING: The grub bootloader was not configured properly! You need to configure it manually.” I have this log:

    http://pastebin.com/NnfVE8MJ

    and this my laptop configuration

    http://pastebin.com/Qi8fa5Dm

    Please help


Trackbacks & Pingbacks